;;; assembly compiled from file: ex1.scm
 GALLOC
 JUMP L1
L0:
 GALLOC
 FETCH 1
 GSTORE 2
 PUSH UNIT
 POP
 GALLOC
 JUMP L3
L2:
 FETCH 1
 PUSH INT 0
 PUSH PRIM 4
 CALL 2
 JFALSE L6
 PUSH BOOL #f
 JUMP L7
L6:
 PUSH BOOL #t
L7:
 JFALSE L4
 FETCH 1
 GSTORE 2
 PUSH UNIT
 POP
 FETCH 1
 FETCH 0
 PUSH PRIM 3
 CALL 2
 STORE 1
 PUSH UNIT
 POP
 GFETCH 2
 STORE 0
 PUSH UNIT
 POP
 GFETCH 3
 CALL 0
 JUMP L5
L4:
 FETCH 0
L5:
 RETURN
L3:
 PUSH FUN L2
 GSTORE 3
 PUSH UNIT
 POP
 GFETCH 3
 CALL 0
 POP
 FETCH 0
 RETURN
L1:
 PUSH FUN L0
 GSTORE 1
 PUSH UNIT
 POP
 GALLOC
 JUMP L9
L8:
 PUSH INT 0
 FETCH 1
 PUSH PRIM 4
 CALL 2
 JFALSE L10
 FETCH 0
 JUMP L11
L10:
 FETCH 1
 FETCH 0
 PUSH PRIM 3
 CALL 2
 FETCH 1
 GFETCH 4
 CALL 2
L11:
 RETURN
L9:
 PUSH FUN L8
 GSTORE 4
 PUSH UNIT
 POP
